Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.devices.getCameraVideoSettings({
serial: "string",
});
export const merakiDevicesCameraVideoSettingsExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.devices.get_camera_video_settings(serial="string")
pulumi.export("merakiDevicesCameraVideoSettingsExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/devices"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := devices.LookupCameraVideoSettings(ctx, &devices.LookupCameraVideoSettingsArgs{
Serial: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiDevicesCameraVideoSettingsExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Devices.GetCameraVideoSettings.Invoke(new()
{
Serial = "string",
});
return new Dictionary<string, object?>
{
["merakiDevicesCameraVideoSettingsExample"] = example.Apply(getCameraVideoSettingsResult => getCameraVideoSettingsResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.devices.DevicesFunctions;
import com.pulumi.meraki.devices.inputs.GetCameraVideoSettingsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = DevicesFunctions.getCameraVideoSettings(GetCameraVideoSettingsArgs.builder()
.serial("string")
.build());
ctx.export("merakiDevicesCameraVideoSettingsExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:devices:getCameraVideoSettings
arguments:
serial: string
outputs:
merakiDevicesCameraVideoSettingsExample: ${example.item}
Using getCameraVideoSettings
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getCameraVideoSettings(args: GetCameraVideoSettingsArgs, opts?: InvokeOptions): Promise<GetCameraVideoSettingsResult>
function getCameraVideoSettingsOutput(args: GetCameraVideoSettingsOutputArgs, opts?: InvokeOptions): Output<GetCameraVideoSettingsResult>def get_camera_video_settings(serial: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetCameraVideoSettingsResult
def get_camera_video_settings_output(serial: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetCameraVideoSettingsResult]func LookupCameraVideoSettings(ctx *Context, args *LookupCameraVideoSettingsArgs, opts ...InvokeOption) (*LookupCameraVideoSettingsResult, error)
func LookupCameraVideoSettingsOutput(ctx *Context, args *LookupCameraVideoSettingsOutputArgs, opts ...InvokeOption) LookupCameraVideoSettingsResultOutput> Note: This function is named LookupCameraVideoSettings in the Go SDK.
public static class GetCameraVideoSettings
{
public static Task<GetCameraVideoSettingsResult> InvokeAsync(GetCameraVideoSettingsArgs args, InvokeOptions? opts = null)
public static Output<GetCameraVideoSettingsResult> Invoke(GetCameraVideoSettingsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetCameraVideoSettingsResult> getCameraVideoSettings(GetCameraVideoSettingsArgs args, InvokeOptions options)
public static Output<GetCameraVideoSettingsResult> getCameraVideoSettings(GetCameraVideoSettingsArgs args, InvokeOptions options)
fn::invoke:
function: meraki:devices/getCameraVideoSettings:getCameraVideoSettings
arguments:
# arguments dictionaryThe following arguments are supported:
- Serial string
- serial path parameter.
- Serial string
- serial path parameter.
- serial String
- serial path parameter.
- serial string
- serial path parameter.
- serial str
- serial path parameter.
- serial String
- serial path parameter.
getCameraVideoSettings Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Camera Video Settings Item - Serial string
- serial path parameter.
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Camera Video Settings Item - Serial string
- serial path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Camera Video Settings Item - serial String
- serial path parameter.
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Camera Video Settings Item - serial string
- serial path parameter.
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Camera Video Settings Item - serial str
- serial path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- serial String
- serial path parameter.
Supporting Types
GetCameraVideoSettingsItem
- External
Rtsp boolEnabled - Boolean indicating if external rtsp stream is exposed
- Rtsp
Url string - External rstp url. Will only be returned if external rtsp stream is exposed
- External
Rtsp boolEnabled - Boolean indicating if external rtsp stream is exposed
- Rtsp
Url string - External rstp url. Will only be returned if external rtsp stream is exposed
- external
Rtsp BooleanEnabled - Boolean indicating if external rtsp stream is exposed
- rtsp
Url String - External rstp url. Will only be returned if external rtsp stream is exposed
- external
Rtsp booleanEnabled - Boolean indicating if external rtsp stream is exposed
- rtsp
Url string - External rstp url. Will only be returned if external rtsp stream is exposed
- external_
rtsp_ boolenabled - Boolean indicating if external rtsp stream is exposed
- rtsp_
url str - External rstp url. Will only be returned if external rtsp stream is exposed
- external
Rtsp BooleanEnabled - Boolean indicating if external rtsp stream is exposed
- rtsp
Url String - External rstp url. Will only be returned if external rtsp stream is exposed
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
